# RCS0007: Add blank line between accessors

| Property | Value   |
| -------- | ------- |
| Id       | RCS0007 |
| Severity | None    |

## Example

### Code with Diagnostic

```csharp
string P
{
    get
    {
        return _p;
    } // RCS0007
    set
    {
        _p = value;
    }
}
```

### Code with Fix

```csharp
string P
{
    get
    {
        return _p;
    }

    set
    {
        _p = value;
    }
}
```

## Remarks

This rule does not enforce an blank line between two single-line accessors.

## Applies to

* [Roslynator.Formatting.Analyzers](https://www.nuget.org/packages/Roslynator.Formatting.Analyzers)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*