# RCS0014: Add blank line between switch sections

| Property | Value   |
| -------- | ------- |
| Id       | RCS0014 |
| Severity | None    |

## Example

### Code with Diagnostic

```csharp
switch (x)
{
    case "a":
        return A(); // RCS0014
    case "b":
        return B();
}
```

### Code with Fix

```csharp
switch (x)
{
    case "a":
        return A();

    case "b":
        return B();
}
```

## Options

### Add/remove blank line between closing brace and switch section

```editorconfig
roslynator_blank_line_between_closing_brace_and_switch_section = true|false
```

## Applies to

* [Roslynator.Formatting.Analyzers](https://www.nuget.org/packages/Roslynator.Formatting.Analyzers)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*