# RCS0015: Add/remove blank line between using directives

| Property        | Value                                            |
| --------------- | ------------------------------------------------ |
| Id              | RCS0015                                          |
| Severity        | None                                             |
| Required option | `roslynator_blank_line_between_using_directives` |

## Example

### Code with Diagnostic

```csharp
using System; // RCS0015
using Microsoft.CodeAnalysis;

namespace N
{
}
```

### Code with Fix

```csharp
using System;

using Microsoft.CodeAnalysis;

namespace N
{
}
```

## Options

### Add/remove blank line between using directives

```editorconfig
roslynator_blank_line_between_using_directives = never|separate_groups
```

## Applies to

* [Roslynator.Formatting.Analyzers](https://www.nuget.org/packages/Roslynator.Formatting.Analyzers)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*