# RCS0020: Format accessor's braces on a single line or multiple lines

| Property        | Value                              |
| --------------- | ---------------------------------- |
| Id              | RCS0020                            |
| Severity        | None                               |
| Required option | `roslynator_accessor_braces_style` |

## Example

### Code with Diagnostic

```csharp
string Foo
{
    get { return _foo; } // RCS0020
}
```

### Code with Fix

```csharp
string Foo
{
    get
    {
        return _foo;
    }
}
```

## Options

### Format accessor's braces on single line or multiple lines

```editorconfig
roslynator_accessor_braces_style = multi_line|single_line_when_expression_is_on_single_line
```

## Applies to

* [Roslynator.Formatting.Analyzers](https://www.nuget.org/packages/Roslynator.Formatting.Analyzers)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*