# RCS0054: Fix formatting of a call chain

| Property | Value   |
| -------- | ------- |
| Id       | RCS0054 |
| Severity | None    |

## Summary

This analyzer:
* fixes indentation of multi-line call chain
* formats each call on a separate line


## Examples

### Code with Diagnostic

```csharp
return [|x.M1() // RCS0054
    .M2().M3()|];
```

### Code with Fix

```csharp
return [|x.M1()
    .M2()
    .M3()|];
```

- - -

### Code with Diagnostic

```csharp
return [|x.M1() // RCS0054
.M2()
.M3()|];
```

### Code with Fix

```csharp
return [|x.M1()
    .M2()
    .M3()|];
```

## Applies to

* [Roslynator.Formatting.Analyzers](https://www.nuget.org/packages/Roslynator.Formatting.Analyzers)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*