# RCS0055: Fix formatting of a binary expression chain

| Property | Value   |
| -------- | ------- |
| Id       | RCS0055 |
| Severity | None    |

## Summary

This analyzer:
 * fixes indentation of multi-line binary expression chain
 * formats each expression on a separate line
 

## Examples

### Code with Diagnostic

```csharp
if (x && y // RCS0055
    && z)
{
}
```

### Code with Fix

```csharp
if (x
    && y
    && z)
{
}
```

- - -

### Code with Diagnostic

```csharp
if (x // RCS0055
&& y
&& z)
{
}
```

### Code with Fix

```csharp
if (x
    && y
    && z)
{
}
```

## Applies to

* [Roslynator.Formatting.Analyzers](https://www.nuget.org/packages/Roslynator.Formatting.Analyzers)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*