# RCS0060: Add/remove line after file scoped namespace declaration

| Property                 | Value                                                           |
| ------------------------ | --------------------------------------------------------------- |
| Id                       | RCS0060                                                         |
| Severity                 | None                                                            |
| Minimum language version | 10\.0                                                           |
| Required option          | `roslynator_blank_line_after_file_scoped_namespace_declaration` |

## Example

### Code with Diagnostic

```csharp
namespace A.B // RCS0060
public class C
{
}
```

### Code with Fix

```csharp
namespace A.B

public class C
{
}
```

## Options

### Add/remove blank line after file scoped namespace declaration

```editorconfig
roslynator_blank_line_after_file_scoped_namespace_declaration = true|false
```

## Applies to

* [Roslynator.Formatting.Analyzers](https://www.nuget.org/packages/Roslynator.Formatting.Analyzers)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*