# RCS1003: Add braces to if\-else \(when expression spans over multiple lines\)

| Property | Value   |
| -------- | ------- |
| Id       | RCS1003 |
| Severity | Info    |

## Example

### Code with Diagnostic

```csharp
if (condition) // RCS1003
    WhenTrue(
        x,
        y);
else
    WhenFalse(
        x,
        y);
```

### Code with Fix

```csharp
if (condition)
{
    WhenTrue(
        x,
        y);
}
else
{
    WhenFalse(
        x,
        y);
}
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*