# RCS1015: Use nameof operator

| Property                 | Value   |
| ------------------------ | ------- |
| Id                       | RCS1015 |
| Severity                 | Info    |
| Minimum language version | 6\.0    |

## Example

### Code with Diagnostic

```csharp
public void Foo(object parameter)
{
    if (parameter == null)
    {
        throw new ArgumentNullException("parameter", "message"); // RCS1015
    }
}
```

### Code with Fix

```csharp
public void Foo(object parameter)
{
    if (parameter == null)
    {
        throw new ArgumentNullException(nameof(parameter), "message");
    }
}
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*