# RCS1036: Remove unnecessary blank line

| Property | Value   |
| -------- | ------- |
| Id       | RCS1036 |
| Severity | Info    |

## Example

### Code with Diagnostic

```csharp
public class Foo
{

    private string _f;


    public bool Bar()
    {

        return false;

    }

}
```

### Code with Fix

```csharp
public class Foo
{
    private string _f;

    public bool Bar()
    {
        return false;
    }
}
```

## Options

### Add/remove blank line between closing brace and switch section

```editorconfig
roslynator_blank_line_between_closing_brace_and_switch_section = true|false
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*