# RCS1048: Use lambda expression instead of anonymous method

| Property | Value   |
| -------- | ------- |
| Id       | RCS1048 |
| Severity | Info    |

## Example

### Code with Diagnostic

```csharp
var x = items.Select(delegate (object f) // RCS1048
{
    return f.ToString();
});
```

### Code with Fix

```csharp
var x = items.Select((object f) =>
{
    return f.ToString();
});
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*