# RCS1050: Include/omit parentheses when creating new object

| Property        | Value                                          |
| --------------- | ---------------------------------------------- |
| Id              | RCS1050                                        |
| Severity        | None                                           |
| Required option | `roslynator_object_creation_parentheses_style` |

## Example

### Code with Diagnostic

```csharp
var items = new List<string> { "a", "b", "c"  };
```

### Code with Fix

```csharp
var items = new List<string>() { "a", "b", "c"  };
```

## Options

### Include/omit parentheses when creating new object

```editorconfig
roslynator_object_creation_parentheses_style = include|omit
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*