# RCS1059: Avoid locking on publicly accessible instance

| Property | Value   |
| -------- | ------- |
| Id       | RCS1059 |
| Severity | Warning |

## Example

### Code with Diagnostic

```csharp
public void Foo()
{
    lock (this) // RCS1059
    {
    }
}
```

### Code with Fix

```csharp
private readonly object _lockObject = new object();

public void Foo()
{
    lock (_lockObject)
    {
    }
}
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*