# RCS1068: Simplify logical negation

| Property | Value   |
| -------- | ------- |
| Id       | RCS1068 |
| Severity | Info    |

## Examples

### Code with Diagnostic

```csharp
bool f = !true;
```

### Code with Fix

```csharp
bool f = false;
```

- - -

### Code with Diagnostic

```csharp
bool f = !!f2;
```

### Code with Fix

```csharp
bool f = f2;
```

- - -

### Code with Diagnostic

```csharp
bool f = !items.Any(s => !string.IsNullOrEmpty(s));
```

### Code with Fix

```csharp
bool f = items.All(s => string.IsNullOrEmpty(s));
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*