# RCS1096: Use 'HasFlag' method or bitwise operator

| Property        | Value                            |
| --------------- | -------------------------------- |
| Id              | RCS1096                          |
| Severity        | None                             |
| Required option | `roslynator_enum_has_flag_style` |

## Example

### Code with Diagnostic

```csharp
options.HasFlag(RegexOptions.IgnoreCase)
```

### Code with Fix

```csharp
(options & RegexOptions.IgnoreCase) != 0
```

## Options

### Use 'HasFlag' method or bitwise operator

```editorconfig
roslynator_enum_has_flag_style = method|operator
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*