# RCS1146: Use conditional access

| Property                 | Value   |
| ------------------------ | ------- |
| Id                       | RCS1146 |
| Severity                 | Info    |
| Minimum language version | 6\.0    |

## Examples

### Code with Diagnostic

```csharp
if (s != null && s.StartsWith("a")) // RCS1146
{
}
```

### Code with Fix

```csharp
if (s?.StartsWith("a") == true)
{
}
```

- - -

### Code with Diagnostic

```csharp
if (dic != null && dic[0].StartsWith("a")) // RCS1146
{
}
```

### Code with Fix

```csharp
if (dic?[0].StartsWith("a") == true)
{
}
```

- - -

### Code with Diagnostic

```csharp
if (x != null) // RCS1146
    x.Foo();
```

### Code with Fix

```csharp
x?.Foo();
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*