# RCS1155: Use StringComparison when comparing strings

| Property | Value   |
| -------- | ------- |
| Id       | RCS1155 |
| Severity | Warning |

## Example

### Code with Diagnostic

```csharp
if (x.ToLower() == y.ToLower()) // RCS1155
{
}
```

### Code with Fix

```csharp
if (string.Equals(x, y, StringComparison.OrdinalIgnoreCase))
{
}
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*