# RCS1171: Simplify lazy initialization

| Property | Value   |
| -------- | ------- |
| Id       | RCS1171 |
| Severity | Info    |

## Example

### Code with Diagnostic

```csharp
public object Foo()
{
    if (_foo == null) // RCS1171
    {
        _foo = Initialize();
    }

    return _foo;
}
```

### Code with Fix

```csharp
public object Foo()
{
    return _foo ?? (_foo = Initialize());
}
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*