# RCS1193: Overriding member should not change 'params' modifier

| Property | Value   |
| -------- | ------- |
| Id       | RCS1193 |
| Severity | Warning |

## Example

### Code with Diagnostic

```csharp
public class Base
{
    public virtual void Foo(params object[] values)
    {
    }
}

public class Derived : Base
{
    public override void Foo(object[] values) // RCS1193
    {
    }
}
```

### Code with Fix

```csharp
public class Derived : Base
{
    public override void Foo(params object[] values)
    {
    }
}
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*