# RCS1205: Order named arguments according to the order of parameters

| Property | Value   |
| -------- | ------- |
| Id       | RCS1205 |
| Severity | Info    |

## Example

### Code with Diagnostic

```csharp
using (var sm = new StreamReader(
    stream: default(Stream),
    encoding: Encoding.UTF8,
    bufferSize: 0, // RCS1205
    leaveOpen: false,
    detectEncodingFromByteOrderMarks: true))
{
}
```

### Code with Fix

```csharp
using (var sm = new StreamReader(
    stream: default(Stream),
    encoding: Encoding.UTF8,
    detectEncodingFromByteOrderMarks: true,
    bufferSize: 0,
    leaveOpen: false))
{
}
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*