# RCS1207: Use anonymous function or method group

| Property        | Value                                               |
| --------------- | --------------------------------------------------- |
| Id              | RCS1207                                             |
| Severity        | None                                                |
| Required option | `roslynator_use_anonymous_function_or_method_group` |

## Example

### Code with Diagnostic

```csharp
var x = items.Select(f => Foo(f));
```

### Code with Fix

```csharp
var x = items.Select(Foo);
```

## Options

### Use anonymous function or method group

```editorconfig
roslynator_use_anonymous_function_or_method_group = anonymous_function|method_group
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*