# RCS1208: Reduce 'if' nesting

| Property | Value   |
| -------- | ------- |
| Id       | RCS1208 |
| Severity | None    |

## Example

### Code with Diagnostic

```csharp
if (condition1) // RCS1208
{
    Foo1();

    if (condition2)
    {
        Foo2();

        if (condition3)
        {
            Foo3();
        }
    }
}
```

### Code with Fix

```csharp
if (!condition1)
{
    return;
}

Foo1();

if (!condition2)
{
    return;
}

Foo2();

if (!condition3)
{
    return;
}

Foo3();
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*