# RCS1218: Simplify code branching

| Property | Value   |
| -------- | ------- |
| Id       | RCS1218 |
| Severity | Info    |

## Examples

### Code with Diagnostic

```csharp
if (x) // RCS1218
{
}
else
{
  M();
}
```

### Code with Fix

```csharp
if (!x)
{
  M();
}
```

- - -

### Code with Diagnostic

```csharp
while (true)
{
  if (x)  // RCS1218
  {
    M();
  }
  else
  {
    break;
  }
}
```

### Code with Fix

```csharp
while (x)
{
  M();
}
```

- - -

### Code with Diagnostic

```csharp
while (true)
{
  if (x)  // RCS1218
  {
    break;
  }

  M();
}
```

### Code with Fix

```csharp
while (!x)
{
  M();
      
}
```

- - -

### Code with Diagnostic

```csharp
do
{
  M();

  if (x)  // RCS1218
  {
    break;
  }
  
} while (true);
```

### Code with Fix

```csharp
do
{
  M();

} while (!x);
```

- - -

### Code with Diagnostic

```csharp
if (x) // RCS1218
{
  do
  {
    M();
  }
  while (x);
```

### Code with Fix

```csharp
while (x)
{
  M();
}
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*