# RCS1225: Make class sealed

| Property | Value   |
| -------- | ------- |
| Id       | RCS1225 |
| Severity | Info    |

## Summary

A class that has only private constructors should be marked as sealed.

## Example

### Code with Diagnostic

```csharp
public class Foo // RCS1225
{
    private Foo()
    {
    }
}
```

### Code with Fix

```csharp
public sealed class Foo
{
    private Foo()
    {
    }
}
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*