# RCS1230: Unnecessary explicit use of enumerator

| Property | Value   |
| -------- | ------- |
| Id       | RCS1230 |
| Severity | Info    |

## Example

### Code with Diagnostic

```csharp
using (var en = items.GetEnumerator()) // RCS1230
{
    while (en.MoveNext())
    {
        yield return en.Current;
    }
}
```

### Code with Fix

```csharp
foreach (var item in items)
{
    yield return item;
}
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*