# RCS1244: Simplify 'default' expression

| Property                 | Value   |
| ------------------------ | ------- |
| Id                       | RCS1244 |
| Severity                 | Hidden  |
| Minimum language version | 7\.1    |

## Summary

This analyzer is similar to [IDE0034](https://docs.microsoft.com/visualstudio/ide/common-quick-actions#remove-type-from-default-value-expression) but there are some differences. For example this analyzer does not simplify 'default' expression passed as an argument expression.

## Example

### Code with Diagnostic

```csharp
Foo M(Foo foo = default(Foo)) // RCS1244
{
    return default(Foo); // RCS1244
}
```

### Code with Fix

```csharp
Foo M(Foo foo = default)
{
    return default;
}
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*