# RCS1250: Use implicit/explicit object creation

| Property                 | Value                                   |
| ------------------------ | --------------------------------------- |
| Id                       | RCS1250                                 |
| Severity                 | None                                    |
| Minimum language version | 9\.0                                    |
| Required option          | `roslynator_object_creation_type_style` |

## Example

### Code with Diagnostic

```csharp
private string _value = new string(' ', 1)
```

### Code with Fix

```csharp
private string _value = new(' ', 1)
```

## Options

### Prefer explicit/implicit object creation

```editorconfig
roslynator_object_creation_type_style = explicit|implicit|implicit_when_type_is_obvious
```

### Use 'var' instead of implicit object creation

```editorconfig
roslynator_use_var_instead_of_implicit_object_creation = true|false
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*