# RCS1255: Simplify argument null check

| Property | Value   |
| -------- | ------- |
| Id       | RCS1255 |
| Severity | None    |

## Summary

Use `ArgumentNullException.ThrowIfNull` instead of `if` null check.

## Example

### Code with Diagnostic

```csharp
if (arg is null) // RCS1255
{
    throw new ArgumentNullException(nameof(arg));
}
```

### Code with Fix

```csharp
ArgumentNullException.ThrowIfNull(arg);
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*