# RCS9001: Use pattern matching

| Property | Value   |
| -------- | ------- |
| Id       | RCS9001 |
| Severity | Hidden  |

## Examples

### Code with Diagnostic

```csharp
if (syntaxNode.IsKind(SyntaxKind.IdentifierName)) // RCS9001
{
    var identifierName = (IdentifierNameSyntax)syntaxNode;
}
```

### Code with Fix

```csharp
if (syntaxNode is IdentifierNameSyntax identifierName)
{
}
```

- - -

### Code with Diagnostic

```csharp
if (!syntaxNode.IsKind(SyntaxKind.IdentifierName)) // RCS9001
{
    return;
}

var identifierName = (IdentifierNameSyntax)syntaxNode;
```

### Code with Fix

```csharp
if (!(syntaxNode is IdentifierNameSyntax identifierName))
{
  return;
}
```

## Applies to

* [Roslynator.CodeAnalysis.Analyzers](https://www.nuget.org/packages/Roslynator.CodeAnalysis.Analyzers)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*