# RCS9010: Specify ExportCodeRefactoringProviderAttribute\.Name

| Property | Value   |
| -------- | ------- |
| Id       | RCS9010 |
| Severity | Hidden  |

## Example

### Code with Diagnostic

```csharp
[ExportCodeRefactoringProvider(LanguageNames.CSharp)] // RCS9010
class FooCodeRefactoringProvider : CodeRefactoringProvider
{
}
```

### Code with Fix

```csharp
[ExportCodeRefactoringProvider(LanguageNames.CSharp, Name = nameof(FooCodeRefactoringProvider))]
class FooCodeRefactoringProvider : CodeRefactoringProvider
{
}
```

## Applies to

* [Roslynator.CodeAnalysis.Analyzers](https://www.nuget.org/packages/Roslynator.CodeAnalysis.Analyzers)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*