# [ISymbol](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.isymbol) Interface Extensions

[Home](../../../README.md)

| Extension Method | Summary |
| ---------------- | ------- |
| [GetAttribute(ISymbol, INamedTypeSymbol)](../../../Roslynator/SymbolExtensions/GetAttribute/README.md#1998351864) | Returns the attribute for the symbol that matches the specified attribute class, or null if the symbol does not have the specified attribute\. |
| [GetAttribute(ISymbol, MetadataName)](../../../Roslynator/SymbolExtensions/GetAttribute/README.md#596707890) | Returns the attribute for the symbol that matches the specified name, or null if the symbol does not have the specified attribute\. |
| [HasAttribute(ISymbol, INamedTypeSymbol)](../../../Roslynator/SymbolExtensions/HasAttribute/README.md#3062983091) | Returns true if the symbol has the specified attribute\. |
| [HasAttribute(ISymbol, MetadataName)](../../../Roslynator/SymbolExtensions/HasAttribute/README.md#151999350) | Returns true if the symbol has attribute with the specified name\. |
| [HasMetadataName(ISymbol, MetadataName)](../../../Roslynator/SymbolExtensions/HasMetadataName/README.md) | Returns true if a symbol has the specified [MetadataName](../../../Roslynator/MetadataName/README.md)\. |
| [ImplementsInterfaceMember(ISymbol, Boolean)](../../../Roslynator/SymbolExtensions/ImplementsInterfaceMember/README.md#1947636977) | Returns true if the symbol implements any interface member\. |
| [ImplementsInterfaceMember(ISymbol, INamedTypeSymbol, Boolean)](../../../Roslynator/SymbolExtensions/ImplementsInterfaceMember/README.md#1539225690) | Returns true if the symbol implements any member of the specified interface\. |
| [ImplementsInterfaceMember\<TSymbol\>(ISymbol, Boolean)](../../../Roslynator/SymbolExtensions/ImplementsInterfaceMember/README.md#270427832) | Returns true if the symbol implements any interface member\. |
| [ImplementsInterfaceMember\<TSymbol\>(ISymbol, INamedTypeSymbol, Boolean)](../../../Roslynator/SymbolExtensions/ImplementsInterfaceMember/README.md#2598799324) | Returns true if the symbol implements any member of the specified interface\. |
| [IsAsyncMethod(ISymbol)](../../../Roslynator/SymbolExtensions/IsAsyncMethod/README.md) | Returns true if the symbol is an async method\. |
| [IsErrorType(ISymbol)](../../../Roslynator/SymbolExtensions/IsErrorType/README.md) | Returns true if the symbol represents an error\. |
| [IsKind(ISymbol, SymbolKind, SymbolKind, SymbolKind, SymbolKind, SymbolKind)](../../../Roslynator/SymbolExtensions/IsKind/README.md#2562543075) | Returns true if the symbol is one of the specified kinds\. |
| [IsKind(ISymbol, SymbolKind, SymbolKind, SymbolKind, SymbolKind)](../../../Roslynator/SymbolExtensions/IsKind/README.md#3941599818) | Returns true if the symbol is one of the specified kinds\. |
| [IsKind(ISymbol, SymbolKind, SymbolKind, SymbolKind)](../../../Roslynator/SymbolExtensions/IsKind/README.md#144279932) | Returns true if the symbol is one of the specified kinds\. |
| [IsKind(ISymbol, SymbolKind, SymbolKind)](../../../Roslynator/SymbolExtensions/IsKind/README.md#2288796010) | Returns true if the symbol is one of the specified kinds\. |
| [IsKind(ISymbol, SymbolKind)](../../../Roslynator/SymbolExtensions/IsKind/README.md#2241854371) | Returns true if the symbol is the specified kind\. |
| [IsPubliclyVisible(ISymbol)](../../../Roslynator/SymbolExtensions/IsPubliclyVisible/README.md) | Return true if the specified symbol is publicly visible\. |

