# [SyntaxTokenList](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtokenlist) Struct Extensions

[Home](../../../README.md)

| Extension Method | Summary |
| ---------------- | ------- |
| [All(SyntaxTokenList, Func\<SyntaxToken, Boolean\>)](../../../Roslynator/SyntaxExtensions/All/README.md#3911797928) | Returns true if all tokens in a [SyntaxTokenList](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtokenlist) matches the predicate\. |
| [Any(SyntaxTokenList, Func\<SyntaxToken, Boolean\>)](../../../Roslynator/SyntaxExtensions/Any/README.md#3052208275) | Returns true if any token in a [SyntaxTokenList](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtokenlist) matches the predicate\. |
| [Contains(SyntaxTokenList, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/Contains/README.md#1379670452) | Returns true if a token of the specified kind is in the [SyntaxTokenList](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtokenlist)\. |
| [Contains(SyntaxTokenList, SyntaxToken)](../../../Roslynator/SyntaxExtensions/Contains/README.md#4268781350) | Returns true if the specified token is in the [SyntaxTokenList](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtokenlist)\. |
| [ContainsAny(SyntaxTokenList, SyntaxKind, SyntaxKind, SyntaxKind, SyntaxKind, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/ContainsAny/README.md#974978756) | Returns true if a token of the specified kinds is in the [SyntaxTokenList](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtokenlist)\. |
| [ContainsAny(SyntaxTokenList, SyntaxKind, SyntaxKind, SyntaxKind, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/ContainsAny/README.md#442211563) | Returns true if a token of the specified kinds is in the [SyntaxTokenList](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtokenlist)\. |
| [ContainsAny(SyntaxTokenList, SyntaxKind, SyntaxKind, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/ContainsAny/README.md#3044041729) | Returns true if a token of the specified kinds is in the [SyntaxTokenList](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtokenlist)\. |
| [ContainsAny(SyntaxTokenList, SyntaxKind, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/ContainsAny/README.md#1563993783) | Returns true if a token of the specified kinds is in the [SyntaxTokenList](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtokenlist)\. |
| [Find(SyntaxTokenList, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/Find/README.md#849057854) | Searches for a token of the specified kind and returns the first occurrence within the entire [SyntaxTokenList](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtokenlist)\. |
| [IndexOf(SyntaxTokenList, Func\<SyntaxToken, Boolean\>)](../../../Roslynator/SyntaxExtensions/IndexOf/README.md#3314040654) | Searches for a token that matches the predicate and returns the zero\-based index of the first occurrence within the entire [SyntaxTokenList](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtokenlist)\. |
| [RemoveRange(SyntaxTokenList, Int32, Int32)](../../../Roslynator/CSharp/SyntaxExtensions/RemoveRange/README.md#560377099) | Creates a new list with tokens in the specified range removed\. |
| [ReplaceAt(SyntaxTokenList, Int32, SyntaxToken)](../../../Roslynator/SyntaxExtensions/ReplaceAt/README.md#2421566925) | Creates a new [SyntaxTokenList](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtokenlist) with a token at the specified index replaced with a new token\. |
| [ReplaceRange(SyntaxTokenList, Int32, Int32, IEnumerable\<SyntaxToken\>)](../../../Roslynator/CSharp/SyntaxExtensions/ReplaceRange/README.md#4257224275) | Creates a new list with the tokens in the specified range replaced with new tokens\. |

