# SyntaxInfo\.GenericInfo Method

[Home](../../../../README.md)

**Containing Type**: [SyntaxInfo](../README.md)

**Assembly**: Roslynator\.CSharp\.dll

## Overloads

| Method | Summary |
| ------ | ------- |
| [GenericInfo(DelegateDeclarationSyntax)](#2218018366) | Creates a new [GenericInfo](../../Syntax/GenericInfo/README.md) from the specified delegate declaration\. |
| [GenericInfo(LocalFunctionStatementSyntax)](#1694092430) | Creates a new [GenericInfo](../../Syntax/GenericInfo/README.md) from the specified local function\. |
| [GenericInfo(MethodDeclarationSyntax)](#1918671437) | Creates a new [GenericInfo](../../Syntax/GenericInfo/README.md) from the specified method declaration\. |
| [GenericInfo(SyntaxNode)](#3041311759) | Creates a new [GenericInfo](../../Syntax/GenericInfo/README.md) from the specified node\. |
| [GenericInfo(TypeDeclarationSyntax)](#732578526) | Creates a new [GenericInfo](../../Syntax/GenericInfo/README.md) from the specified type declaration\. |
| [GenericInfo(TypeParameterConstraintClauseSyntax)](#474495995) | Creates a new [GenericInfo](../../Syntax/GenericInfo/README.md) from the specified constraint clause\. |
| [GenericInfo(TypeParameterConstraintSyntax)](#3050507061) | Creates a new [GenericInfo](../../Syntax/GenericInfo/README.md) from the specified type parameter constraint\. |
| [GenericInfo(TypeParameterListSyntax)](#3976312058) | Creates a new [GenericInfo](../../Syntax/GenericInfo/README.md) from the specified type parameter list\. |
| [GenericInfo(TypeParameterSyntax)](#478667639) | Creates a new [GenericInfo](../../Syntax/GenericInfo/README.md) from the specified type parameter\. |

<a id="2218018366"></a>

## GenericInfo\(DelegateDeclarationSyntax\) 

  
Creates a new [GenericInfo](../../Syntax/GenericInfo/README.md) from the specified delegate declaration\.

```csharp
public static Roslynator.CSharp.Syntax.GenericInfo GenericInfo(Microsoft.CodeAnalysis.CSharp.Syntax.DelegateDeclarationSyntax delegateDeclaration)
```

### Parameters

**delegateDeclaration** &ensp; [DelegateDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.delegatedeclarationsyntax)

### Returns

[GenericInfo](../../Syntax/GenericInfo/README.md)

<a id="1694092430"></a>

## GenericInfo\(LocalFunctionStatementSyntax\) 

  
Creates a new [GenericInfo](../../Syntax/GenericInfo/README.md) from the specified local function\.

```csharp
public static Roslynator.CSharp.Syntax.GenericInfo GenericInfo(Microsoft.CodeAnalysis.CSharp.Syntax.LocalFunctionStatementSyntax localFunctionStatement)
```

### Parameters

**localFunctionStatement** &ensp; [LocalFunctionStatementSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.localfunctionstatementsyntax)

### Returns

[GenericInfo](../../Syntax/GenericInfo/README.md)

<a id="1918671437"></a>

## GenericInfo\(MethodDeclarationSyntax\) 

  
Creates a new [GenericInfo](../../Syntax/GenericInfo/README.md) from the specified method declaration\.

```csharp
public static Roslynator.CSharp.Syntax.GenericInfo GenericInfo(Microsoft.CodeAnalysis.CSharp.Syntax.MethodDeclarationSyntax methodDeclaration)
```

### Parameters

**methodDeclaration** &ensp; [MethodDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.methoddeclarationsyntax)

### Returns

[GenericInfo](../../Syntax/GenericInfo/README.md)

<a id="3041311759"></a>

## GenericInfo\(SyntaxNode\) 

  
Creates a new [GenericInfo](../../Syntax/GenericInfo/README.md) from the specified node\.

```csharp
public static Roslynator.CSharp.Syntax.GenericInfo GenericInfo(Microsoft.CodeAnalysis.SyntaxNode node)
```

### Parameters

**node** &ensp; [SyntaxNode](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxnode)

### Returns

[GenericInfo](../../Syntax/GenericInfo/README.md)

<a id="732578526"></a>

## GenericInfo\(TypeDeclarationSyntax\) 

  
Creates a new [GenericInfo](../../Syntax/GenericInfo/README.md) from the specified type declaration\.

```csharp
public static Roslynator.CSharp.Syntax.GenericInfo GenericInfo(Microsoft.CodeAnalysis.CSharp.Syntax.TypeDeclarationSyntax typeDeclaration)
```

### Parameters

**typeDeclaration** &ensp; [TypeDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.typedeclarationsyntax)

### Returns

[GenericInfo](../../Syntax/GenericInfo/README.md)

<a id="474495995"></a>

## GenericInfo\(TypeParameterConstraintClauseSyntax\) 

  
Creates a new [GenericInfo](../../Syntax/GenericInfo/README.md) from the specified constraint clause\.

```csharp
public static Roslynator.CSharp.Syntax.GenericInfo GenericInfo(Microsoft.CodeAnalysis.CSharp.Syntax.TypeParameterConstraintClauseSyntax constraintClause)
```

### Parameters

**constraintClause** &ensp; [TypeParameterConstraintClauseSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.typeparameterconstraintclausesyntax)

### Returns

[GenericInfo](../../Syntax/GenericInfo/README.md)

<a id="3050507061"></a>

## GenericInfo\(TypeParameterConstraintSyntax\) 

  
Creates a new [GenericInfo](../../Syntax/GenericInfo/README.md) from the specified type parameter constraint\.

```csharp
public static Roslynator.CSharp.Syntax.GenericInfo GenericInfo(Microsoft.CodeAnalysis.CSharp.Syntax.TypeParameterConstraintSyntax typeParameterConstraint)
```

### Parameters

**typeParameterConstraint** &ensp; [TypeParameterConstraintSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.typeparameterconstraintsyntax)

### Returns

[GenericInfo](../../Syntax/GenericInfo/README.md)

<a id="3976312058"></a>

## GenericInfo\(TypeParameterListSyntax\) 

  
Creates a new [GenericInfo](../../Syntax/GenericInfo/README.md) from the specified type parameter list\.

```csharp
public static Roslynator.CSharp.Syntax.GenericInfo GenericInfo(Microsoft.CodeAnalysis.CSharp.Syntax.TypeParameterListSyntax typeParameterList)
```

### Parameters

**typeParameterList** &ensp; [TypeParameterListSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.typeparameterlistsyntax)

### Returns

[GenericInfo](../../Syntax/GenericInfo/README.md)

<a id="478667639"></a>

## GenericInfo\(TypeParameterSyntax\) 

  
Creates a new [GenericInfo](../../Syntax/GenericInfo/README.md) from the specified type parameter\.

```csharp
public static Roslynator.CSharp.Syntax.GenericInfo GenericInfo(Microsoft.CodeAnalysis.CSharp.Syntax.TypeParameterSyntax typeParameter)
```

### Parameters

**typeParameter** &ensp; [TypeParameterSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.typeparametersyntax)

### Returns

[GenericInfo](../../Syntax/GenericInfo/README.md)

