# SyntaxInfo\.ModifierListInfo Method

[Home](../../../../README.md)

**Containing Type**: [SyntaxInfo](../README.md)

**Assembly**: Roslynator\.CSharp\.dll

## Overloads

| Method | Summary |
| ------ | ------- |
| [ModifierListInfo(AccessorDeclarationSyntax)](#2110189475) | Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified accessor declaration\. |
| [ModifierListInfo(ClassDeclarationSyntax)](#2159031825) | Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified class declaration\. |
| [ModifierListInfo(ConstructorDeclarationSyntax)](#3366945893) | Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified constructor declaration\. |
| [ModifierListInfo(ConversionOperatorDeclarationSyntax)](#2220304461) | Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified conversion operator declaration\. |
| [ModifierListInfo(DelegateDeclarationSyntax)](#4257499822) | Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified delegate declaration\. |
| [ModifierListInfo(DestructorDeclarationSyntax)](#1628913097) | Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified destructor declaration\. |
| [ModifierListInfo(EnumDeclarationSyntax)](#4103840034) | Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified enum declaration\. |
| [ModifierListInfo(EventDeclarationSyntax)](#3085068905) | Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified event declaration\. |
| [ModifierListInfo(EventFieldDeclarationSyntax)](#3897036721) | Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified event field declaration\. |
| [ModifierListInfo(FieldDeclarationSyntax)](#4192895393) | Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified field declaration\. |
| [ModifierListInfo(IncompleteMemberSyntax)](#1367243564) | Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified incomplete member\. |
| [ModifierListInfo(IndexerDeclarationSyntax)](#1123950903) | Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified indexer declaration\. |
| [ModifierListInfo(InterfaceDeclarationSyntax)](#332999195) | Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified interface declaration\. |
| [ModifierListInfo(LocalDeclarationStatementSyntax)](#2681647999) | Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified local declaration statement\. |
| [ModifierListInfo(LocalFunctionStatementSyntax)](#3556281653) | Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified local function\. |
| [ModifierListInfo(MethodDeclarationSyntax)](#849402685) | Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified method declaration\. |
| [ModifierListInfo(OperatorDeclarationSyntax)](#1511593090) | Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified operator declaration\. |
| [ModifierListInfo(ParameterSyntax)](#620808999) | Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified parameter\. |
| [ModifierListInfo(PropertyDeclarationSyntax)](#2289821242) | Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified property declaration\. |
| [ModifierListInfo(StructDeclarationSyntax)](#1454118261) | Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified struct declaration\. |
| [ModifierListInfo(SyntaxNode)](#266097676) | Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified node\. |

<a id="2110189475"></a>

## ModifierListInfo\(AccessorDeclarationSyntax\) 

  
Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified accessor declaration\.

```csharp
public static Roslynator.CSharp.Syntax.ModifierListInfo ModifierListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.AccessorDeclarationSyntax accessorDeclaration)
```

### Parameters

**accessorDeclaration** &ensp; [AccessorDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.accessordeclarationsyntax)

### Returns

[ModifierListInfo](../../Syntax/ModifierListInfo/README.md)

<a id="2159031825"></a>

## ModifierListInfo\(ClassDeclarationSyntax\) 

  
Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified class declaration\.

```csharp
public static Roslynator.CSharp.Syntax.ModifierListInfo ModifierListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.ClassDeclarationSyntax classDeclaration)
```

### Parameters

**classDeclaration** &ensp; [ClassDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.classdeclarationsyntax)

### Returns

[ModifierListInfo](../../Syntax/ModifierListInfo/README.md)

<a id="3366945893"></a>

## ModifierListInfo\(ConstructorDeclarationSyntax\) 

  
Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified constructor declaration\.

```csharp
public static Roslynator.CSharp.Syntax.ModifierListInfo ModifierListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.ConstructorDeclarationSyntax constructorDeclaration)
```

### Parameters

**constructorDeclaration** &ensp; [ConstructorDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.constructordeclarationsyntax)

### Returns

[ModifierListInfo](../../Syntax/ModifierListInfo/README.md)

<a id="2220304461"></a>

## ModifierListInfo\(ConversionOperatorDeclarationSyntax\) 

  
Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified conversion operator declaration\.

```csharp
public static Roslynator.CSharp.Syntax.ModifierListInfo ModifierListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.ConversionOperatorDeclarationSyntax conversionOperatorDeclaration)
```

### Parameters

**conversionOperatorDeclaration** &ensp; [ConversionOperatorDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.conversionoperatordeclarationsyntax)

### Returns

[ModifierListInfo](../../Syntax/ModifierListInfo/README.md)

<a id="4257499822"></a>

## ModifierListInfo\(DelegateDeclarationSyntax\) 

  
Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified delegate declaration\.

```csharp
public static Roslynator.CSharp.Syntax.ModifierListInfo ModifierListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.DelegateDeclarationSyntax delegateDeclaration)
```

### Parameters

**delegateDeclaration** &ensp; [DelegateDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.delegatedeclarationsyntax)

### Returns

[ModifierListInfo](../../Syntax/ModifierListInfo/README.md)

<a id="1628913097"></a>

## ModifierListInfo\(DestructorDeclarationSyntax\) 

  
Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified destructor declaration\.

```csharp
public static Roslynator.CSharp.Syntax.ModifierListInfo ModifierListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.DestructorDeclarationSyntax destructorDeclaration)
```

### Parameters

**destructorDeclaration** &ensp; [DestructorDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.destructordeclarationsyntax)

### Returns

[ModifierListInfo](../../Syntax/ModifierListInfo/README.md)

<a id="4103840034"></a>

## ModifierListInfo\(EnumDeclarationSyntax\) 

  
Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified enum declaration\.

```csharp
public static Roslynator.CSharp.Syntax.ModifierListInfo ModifierListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.EnumDeclarationSyntax enumDeclaration)
```

### Parameters

**enumDeclaration** &ensp; [EnumDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.enumdeclarationsyntax)

### Returns

[ModifierListInfo](../../Syntax/ModifierListInfo/README.md)

<a id="3085068905"></a>

## ModifierListInfo\(EventDeclarationSyntax\) 

  
Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified event declaration\.

```csharp
public static Roslynator.CSharp.Syntax.ModifierListInfo ModifierListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.EventDeclarationSyntax eventDeclaration)
```

### Parameters

**eventDeclaration** &ensp; [EventDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.eventdeclarationsyntax)

### Returns

[ModifierListInfo](../../Syntax/ModifierListInfo/README.md)

<a id="3897036721"></a>

## ModifierListInfo\(EventFieldDeclarationSyntax\) 

  
Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified event field declaration\.

```csharp
public static Roslynator.CSharp.Syntax.ModifierListInfo ModifierListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.EventFieldDeclarationSyntax eventFieldDeclaration)
```

### Parameters

**eventFieldDeclaration** &ensp; [EventFieldDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.eventfielddeclarationsyntax)

### Returns

[ModifierListInfo](../../Syntax/ModifierListInfo/README.md)

<a id="4192895393"></a>

## ModifierListInfo\(FieldDeclarationSyntax\) 

  
Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified field declaration\.

```csharp
public static Roslynator.CSharp.Syntax.ModifierListInfo ModifierListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.FieldDeclarationSyntax fieldDeclaration)
```

### Parameters

**fieldDeclaration** &ensp; [FieldDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.fielddeclarationsyntax)

### Returns

[ModifierListInfo](../../Syntax/ModifierListInfo/README.md)

<a id="1367243564"></a>

## ModifierListInfo\(IncompleteMemberSyntax\) 

  
Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified incomplete member\.

```csharp
public static Roslynator.CSharp.Syntax.ModifierListInfo ModifierListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.IncompleteMemberSyntax incompleteMember)
```

### Parameters

**incompleteMember** &ensp; [IncompleteMemberSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.incompletemembersyntax)

### Returns

[ModifierListInfo](../../Syntax/ModifierListInfo/README.md)

<a id="1123950903"></a>

## ModifierListInfo\(IndexerDeclarationSyntax\) 

  
Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified indexer declaration\.

```csharp
public static Roslynator.CSharp.Syntax.ModifierListInfo ModifierListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.IndexerDeclarationSyntax indexerDeclaration)
```

### Parameters

**indexerDeclaration** &ensp; [IndexerDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.indexerdeclarationsyntax)

### Returns

[ModifierListInfo](../../Syntax/ModifierListInfo/README.md)

<a id="332999195"></a>

## ModifierListInfo\(InterfaceDeclarationSyntax\) 

  
Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified interface declaration\.

```csharp
public static Roslynator.CSharp.Syntax.ModifierListInfo ModifierListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.InterfaceDeclarationSyntax interfaceDeclaration)
```

### Parameters

**interfaceDeclaration** &ensp; [InterfaceDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.interfacedeclarationsyntax)

### Returns

[ModifierListInfo](../../Syntax/ModifierListInfo/README.md)

<a id="2681647999"></a>

## ModifierListInfo\(LocalDeclarationStatementSyntax\) 

  
Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified local declaration statement\.

```csharp
public static Roslynator.CSharp.Syntax.ModifierListInfo ModifierListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.LocalDeclarationStatementSyntax localDeclarationStatement)
```

### Parameters

**localDeclarationStatement** &ensp; [LocalDeclarationStatementSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.localdeclarationstatementsyntax)

### Returns

[ModifierListInfo](../../Syntax/ModifierListInfo/README.md)

<a id="3556281653"></a>

## ModifierListInfo\(LocalFunctionStatementSyntax\) 

  
Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified local function\.

```csharp
public static Roslynator.CSharp.Syntax.ModifierListInfo ModifierListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.LocalFunctionStatementSyntax localFunctionStatement)
```

### Parameters

**localFunctionStatement** &ensp; [LocalFunctionStatementSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.localfunctionstatementsyntax)

### Returns

[ModifierListInfo](../../Syntax/ModifierListInfo/README.md)

<a id="849402685"></a>

## ModifierListInfo\(MethodDeclarationSyntax\) 

  
Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified method declaration\.

```csharp
public static Roslynator.CSharp.Syntax.ModifierListInfo ModifierListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.MethodDeclarationSyntax methodDeclaration)
```

### Parameters

**methodDeclaration** &ensp; [MethodDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.methoddeclarationsyntax)

### Returns

[ModifierListInfo](../../Syntax/ModifierListInfo/README.md)

<a id="1511593090"></a>

## ModifierListInfo\(OperatorDeclarationSyntax\) 

  
Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified operator declaration\.

```csharp
public static Roslynator.CSharp.Syntax.ModifierListInfo ModifierListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.OperatorDeclarationSyntax operatorDeclaration)
```

### Parameters

**operatorDeclaration** &ensp; [OperatorDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.operatordeclarationsyntax)

### Returns

[ModifierListInfo](../../Syntax/ModifierListInfo/README.md)

<a id="620808999"></a>

## ModifierListInfo\(ParameterSyntax\) 

  
Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified parameter\.

```csharp
public static Roslynator.CSharp.Syntax.ModifierListInfo ModifierListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.ParameterSyntax parameter)
```

### Parameters

**parameter** &ensp; [ParameterSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.parametersyntax)

### Returns

[ModifierListInfo](../../Syntax/ModifierListInfo/README.md)

<a id="2289821242"></a>

## ModifierListInfo\(PropertyDeclarationSyntax\) 

  
Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified property declaration\.

```csharp
public static Roslynator.CSharp.Syntax.ModifierListInfo ModifierListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.PropertyDeclarationSyntax propertyDeclaration)
```

### Parameters

**propertyDeclaration** &ensp; [PropertyDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.propertydeclarationsyntax)

### Returns

[ModifierListInfo](../../Syntax/ModifierListInfo/README.md)

<a id="1454118261"></a>

## ModifierListInfo\(StructDeclarationSyntax\) 

  
Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified struct declaration\.

```csharp
public static Roslynator.CSharp.Syntax.ModifierListInfo ModifierListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.StructDeclarationSyntax structDeclaration)
```

### Parameters

**structDeclaration** &ensp; [StructDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.structdeclarationsyntax)

### Returns

[ModifierListInfo](../../Syntax/ModifierListInfo/README.md)

<a id="266097676"></a>

## ModifierListInfo\(SyntaxNode\) 

  
Creates a new [ModifierListInfo](../../Syntax/ModifierListInfo/README.md) from the specified node\.

```csharp
public static Roslynator.CSharp.Syntax.ModifierListInfo ModifierListInfo(Microsoft.CodeAnalysis.SyntaxNode node)
```

### Parameters

**node** &ensp; [SyntaxNode](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxnode)

### Returns

[ModifierListInfo](../../Syntax/ModifierListInfo/README.md)

