# Roslynator Namespace

[Home](../README.md) &#x2022; [Classes](#classes) &#x2022; [Structs](#structs) &#x2022; [Interfaces](#interfaces) &#x2022; [Enums](#enums)

## Classes

| Class | Summary |
| ----- | ------- |
| [DiagnosticsExtensions](DiagnosticsExtensions/README.md) | A set of extension methods for [SymbolAnalysisContext](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.diagnostics.symbolanalysiscontext), [SyntaxNodeAnalysisContext](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.diagnostics.syntaxnodeanalysiscontext) and [SyntaxTreeAnalysisContext](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.diagnostics.syntaxtreeanalysiscontext)\. |
| [EnumExtensions](EnumExtensions/README.md) | A set of extension methods for enumerations\. |
| [FileLinePositionSpanExtensions](FileLinePositionSpanExtensions/README.md) | A set of extension methods for [FileLinePositionSpan](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.filelinepositionspan)\. |
| [MetadataNameEqualityComparer\<TSymbol\>](MetadataNameEqualityComparer-1/README.md) | Provides equality comparison for **TSymbol** by comparing [ISymbol.MetadataName](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.isymbol.metadataname), metadata name of [ISymbol.ContainingType](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.isymbol.containingtype)\(s\) and metadata name of [ISymbol.ContainingNamespace](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.isymbol.containingnamespace)\(s\)\. |
| [NameGenerator](NameGenerator/README.md) | Provides methods to obtain an unique identifier\. |
| [SemanticModelExtensions](SemanticModelExtensions/README.md) | A set of extension methods for a [SemanticModel](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.semanticmodel)\. |
| [SeparatedSyntaxListSelection\<TNode\>](SeparatedSyntaxListSelection-1/README.md) | Represents selected nodes in a [SeparatedSyntaxList\<TNode\>](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.separatedsyntaxlist-1)\. |
| [SymbolExtensions](SymbolExtensions/README.md) | A set of extension methods for [ISymbol](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.isymbol) and its derived types\. |
| [SyntaxExtensions](SyntaxExtensions/README.md) | A set of extension method for a syntax\. |
| [SyntaxListSelection\<TNode\>](SyntaxListSelection-1/README.md) | Represents selected nodes in a [SyntaxList\<TNode\>](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxlist-1)\. |
| [SyntaxTreeExtensions](SyntaxTreeExtensions/README.md) | A set of extension methods for [SyntaxTree](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtree)\. |
| [WorkspaceExtensions](WorkspaceExtensions/README.md) | A set of extension methods for the workspace layer\. |

## Structs

| Struct | Summary |
| ------ | ------- |
| [ExtensionMethodSymbolInfo](ExtensionMethodSymbolInfo/README.md) | Represents an extension method symbol\. |
| [MetadataName](MetadataName/README.md) | Represents fully qualified metadata name of a symbol\. |
| [SeparatedSyntaxListSelection\<TNode\>.Enumerator](SeparatedSyntaxListSelection-1/Enumerator/README.md) | |
| [SyntaxListSelection\<TNode\>.Enumerator](SyntaxListSelection-1/Enumerator/README.md) | |

## Interfaces

| Interface | Summary |
| --------- | ------- |
| [ISelection\<T\>](ISelection-1/README.md) | Represents consecutive sequence of selected items in a collection\. |

## Enums

| Enum | Summary |
| ---- | ------- |
| [Visibility](Visibility/README.md) | Specifies visibility of a symbol\. |

