## Invert LINQ method call

| Property           | Value                                                                                              |
| ------------------ | -------------------------------------------------------------------------------------------------- |
| Id                 | RR0116                                                                                             |
| Title              | Invert LINQ method call                                                                            |
| Syntax             | System\.Linq\.Enumerable\.Any\(Func\<T, bool>\) or System\.Linq\.Enumerable\.All\(Func\<T, bool>\) |
| Span               | method name                                                                                        |
| Enabled by Default | &#x2713;                                                                                           |

### Usage

#### Before

```csharp
if (items.Any(predicate))
{
}
```

#### After

```csharp
if (items.All(!predicate))
{
}
```

- - -

#### Before

```csharp
if (items.All(predicate))
{
}
```

#### After

```csharp
if (items.Any(!predicate))
{
}
```

## See Also

* [Full list of refactorings](Refactorings.md)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*