## Split if\-else

| Property           | Value                                       |
| ------------------ | ------------------------------------------- |
| Id                 | RR0190                                      |
| Title              | Split if\-else                              |
| Syntax             | if statement                                |
| Span               | selected if statement or topmost if keyword |
| Enabled by Default | &#x2713;                                    |

### Usage

#### Before

```csharp
if (condition1)
{
    return Foo1();
{
else if (condition2)
{
    return Foo2();
}
else
{
    return false;
}
```

#### After

```csharp
if (condition1)
{
    return Foo1();
{

if (condition2)
{
    return Foo2();
}

return false;
```

## See Also

* [Full list of refactorings](Refactorings.md)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*