## Sort case labels

| Property           | Value                                                  |
| ------------------ | ------------------------------------------------------ |
| Id                 | RR0207                                                 |
| Title              | Sort case labels                                       |
| Syntax             | selected case labels with string literal or enum field |
| Enabled by Default | &#x2713;                                               |

### Usage

#### Before

```csharp
bool Foo(string s)
{
    switch (s)
    {
        case "d":
        case "b":
        case "a":
        case "c":
            return true;
        default:
            return false;
    }
}
```

#### After

```csharp
bool Foo(string s)
{
    switch (s)
    {
        case "a":
        case "b":
        case "c":
        case "d":
            return true;
        default:
            return false;
    }
}
```

## See Also

* [Full list of refactorings](Refactorings.md)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*