﻿// Copyright (c) Josef Pihrt and Contributors. Licensed under the Apache License, Version 2.0. See License.txt in the project root for license information.

namespace Roslynator;

internal static class MetadataNames
{
    public static readonly MetadataName Microsoft_CodeAnalysis_CSharp_CSharpSyntaxNode = MetadataName.Parse("Microsoft.CodeAnalysis.CSharp.CSharpSyntaxNode");
    public static readonly MetadataName Microsoft_CodeAnalysis_CSharp_SyntaxKind = MetadataName.Parse("Microsoft.CodeAnalysis.CSharp.SyntaxKind");
    public static readonly MetadataName Microsoft_CodeAnalysis_SyntaxNode = MetadataName.Parse("Microsoft.CodeAnalysis.SyntaxNode");
    public static readonly MetadataName System_ArgumentException = MetadataName.Parse("System.ArgumentException");
    public static readonly MetadataName System_ArgumentNullException = MetadataName.Parse("System.ArgumentNullException");
    public static readonly MetadataName System_Attribute = MetadataName.Parse("System.Attribute");
    public static readonly MetadataName System_AttributeUsageAttribute = MetadataName.Parse("System.AttributeUsageAttribute");
    public static readonly MetadataName System_Collections_Generic = MetadataName.Parse("System.Collections.Generic");
    public static readonly MetadataName System_Collections_IComparer = MetadataName.Parse("System.Collections.IComparer");
    public static readonly MetadataName System_Collections_IEqualityComparer = MetadataName.Parse("System.Collections.IEqualityComparer");
    public static readonly MetadataName System_Collections_Generic_IAsyncEnumerable_T = MetadataName.Parse("System.Collections.Generic.IAsyncEnumerable`1");
    public static readonly MetadataName System_Collections_Generic_IComparer_T = MetadataName.Parse("System.Collections.Generic.IComparer`1");
    public static readonly MetadataName System_Collections_Generic_IEqualityComparer_T = MetadataName.Parse("System.Collections.Generic.IEqualityComparer`1");
    public static readonly MetadataName System_Collections_Generic_IEnumerable_T = MetadataName.Parse("System.Collections.Generic.IEnumerable`1");
    public static readonly MetadataName System_Collections_Generic_List_T = MetadataName.Parse("System.Collections.Generic.List`1");
    public static readonly MetadataName System_Collections_Generic_Dictionary_T2 = MetadataName.Parse("System.Collections.Generic.Dictionary`2");
    public static readonly MetadataName System_Collections_IDictionary = MetadataName.Parse("System.Collections.IDictionary");
    public static readonly MetadataName System_Collections_Immutable_ImmutableArray_T = MetadataName.Parse("System.Collections.Immutable.ImmutableArray`1");
    public static readonly MetadataName System_ComponentModel_INotifyPropertyChanged = MetadataName.Parse("System.ComponentModel.INotifyPropertyChanged");
    public static readonly MetadataName System_Diagnostics = MetadataName.Parse("System.Diagnostics");
    public static readonly MetadataName System_Diagnostics_CodeAnalysis = MetadataName.Parse("System.Diagnostics.CodeAnalysis");
    public static readonly MetadataName System_Diagnostics_Debug = MetadataName.Parse("System.Diagnostics.Debug");
    public static readonly MetadataName System_Diagnostics_DebuggerDisplayAttribute = MetadataName.Parse("System.Diagnostics.DebuggerDisplayAttribute");
    public static readonly MetadataName System_Dynamic_ExpandoObject = MetadataName.Parse("System.Dynamic.ExpandoObject");
    public static readonly MetadataName System_Enum = MetadataName.Parse("System.Enum");
    public static readonly MetadataName System_EventArgs = MetadataName.Parse("System.EventArgs");
    public static readonly MetadataName System_EventHandler = MetadataName.Parse("System.EventHandler");
    public static readonly MetadataName System_Exception = MetadataName.Parse("System.Exception");
    public static readonly MetadataName System_FlagsAttribute = MetadataName.Parse("System.FlagsAttribute");
    public static readonly MetadataName System_FormattableString = MetadataName.Parse("System.FormattableString");
    public static readonly MetadataName System_Func_T2 = MetadataName.Parse("System.Func`2");
    public static readonly MetadataName System_Func_T3 = MetadataName.Parse("System.Func`3");
    public static readonly MetadataName System_IEquatable_T = MetadataName.Parse("System.IEquatable`1");
    public static readonly MetadataName System_IComparable = MetadataName.Parse("System.IComparable");
    public static readonly MetadataName System_IComparable_T = MetadataName.Parse("System.IComparable`1");
    public static readonly MetadataName System_Linq_Enumerable = MetadataName.Parse("System.Linq.Enumerable");
    public static readonly MetadataName System_Linq_Expressions_Expression_T = MetadataName.Parse("System.Linq.Expressions.Expression`1");
    public static readonly MetadataName System_Linq_ImmutableArrayExtensions = MetadataName.Parse("System.Linq.ImmutableArrayExtensions");
    public static readonly MetadataName System_Linq_IOrderedEnumerable_T = MetadataName.Parse("System.Linq.IOrderedEnumerable`1");
    public static readonly MetadataName System_Linq_IQueryable_T = MetadataName.Parse("System.Linq.IQueryable`1");
    public static readonly MetadataName System_NonSerializedAttribute = MetadataName.Parse("System.NonSerializedAttribute");
    public static readonly MetadataName System_ObsoleteAttribute = MetadataName.Parse("System.ObsoleteAttribute");
    public static readonly MetadataName System_Reflection = MetadataName.Parse("System.Reflection");
    public static readonly MetadataName System_Runtime_CompilerServices = MetadataName.Parse("System.Runtime.CompilerServices");
    public static readonly MetadataName System_Runtime_CompilerServices_ConfiguredTaskAwaitable = MetadataName.Parse("System.Runtime.CompilerServices.ConfiguredTaskAwaitable");
    public static readonly MetadataName System_Runtime_CompilerServices_ConfiguredTaskAwaitable_T = MetadataName.Parse("System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1");
    public static readonly MetadataName System_Runtime_InteropServices_LayoutKind = MetadataName.Parse("System.Runtime.InteropServices.LayoutKind");
    public static readonly MetadataName System_Runtime_InteropServices_StructLayoutAttribute = MetadataName.Parse("System.Runtime.InteropServices.StructLayoutAttribute");
    public static readonly MetadataName System_Runtime_Serialization_DataMemberAttribute = MetadataName.Parse("System.Runtime.Serialization.DataMemberAttribute");
    public static readonly MetadataName System_Runtime_Serialization_SerializationInfo = MetadataName.Parse("System.Runtime.Serialization.SerializationInfo");
    public static readonly MetadataName System_Runtime_Serialization_StreamingContext = MetadataName.Parse("System.Runtime.Serialization.StreamingContext");
    public static readonly MetadataName System_StringComparison = MetadataName.Parse("System.StringComparison");
    public static readonly MetadataName System_Text_RegularExpressions_Regex = MetadataName.Parse("System.Text.RegularExpressions.Regex");
    public static readonly MetadataName System_Text_RegularExpressions_RegexOptions = MetadataName.Parse("System.Text.RegularExpressions.RegexOptions");
    public static readonly MetadataName System_Text_StringBuilder = MetadataName.Parse("System.Text.StringBuilder");
    public static readonly MetadataName System_Threading_Tasks = MetadataName.Parse("System.Threading.Tasks");
    public static readonly MetadataName System_Threading_Tasks_Task = MetadataName.Parse("System.Threading.Tasks.Task");
    public static readonly MetadataName System_Threading_Tasks_Task_T = MetadataName.Parse("System.Threading.Tasks.Task`1");
    public static readonly MetadataName System_Threading_Tasks_ValueTask = MetadataName.Parse("System.Threading.Tasks.ValueTask");
    public static readonly MetadataName System_Threading_Tasks_ValueTask_T = MetadataName.Parse("System.Threading.Tasks.ValueTask`1");
    public static readonly MetadataName System_TimeSpan = MetadataName.Parse("System.TimeSpan");
    public static readonly MetadataName System_ValueType = MetadataName.Parse("System.ValueType");
    public static readonly MetadataName System_Windows_DependencyPropertyChangedEventArgs = MetadataName.Parse("System.Windows.DependencyPropertyChangedEventArgs");

    public static class WinRT
    {
        public static readonly MetadataName Windows_Foundation = MetadataName.Parse("Windows.Foundation");
        public static readonly MetadataName Windows_Foundation_IAsyncAction = MetadataName.Parse("Windows.Foundation.IAsyncAction");
    }
}
